#ifndef _PLUGIN_BASE_
#define _PLUGIN_BASE_

class CPlugInbase
{
public:
    CPlugInbase() {};
    virtual ~CPlugInbase() {};

    virtual char* GetPlugName(long& version) { return NULL; }
    
    ///////////////////////////////////////////////
    virtual void* GetFunctionList() = 0;

    virtual void  Release() = 0;
}; 

#endif // _PLUGIN_BASE_

